This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
rpcs3 cmake error
07-06-2015, 10:22 PM (This post was last modified: 07-06-2015 10:23 PM by pxoto.)
Post: #1
rpcs3 cmake error
cmake CMakeLists.txt
-- No build type selected, default to Release
CMake Error at asmjit/CMakeLists.txt:14 (add_subdirectory):
add_subdirectory given source "asmjit" which is not an existing directory.


CMake Error at asmjit/CMakeLists.txt:15 (add_subdirectory):
add_subdirectory given source "rpcs3" which is not an existing directory.


-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3-master/rpcs3
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!

I have no idea how to solve it, I have spent all day researching before posting.
Find all posts by this user
Quote this message in a reply
07-07-2015, 08:47 AM
Post: #2
RE: rpcs3 cmake error
(07-06-2015 10:22 PM)pxoto Wrote:  cmake CMakeLists.txt
-- No build type selected, default to Release
CMake Error at asmjit/CMakeLists.txt:14 (add_subdirectory):
add_subdirectory given source "asmjit" which is not an existing directory.


CMake Error at asmjit/CMakeLists.txt:15 (add_subdirectory):
add_subdirectory given source "rpcs3" which is not an existing directory.


-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3-master/rpcs3
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!

I have no idea how to solve it, I have spent all day researching before posting.

git submodule update --init
Find all posts by this user
Quote this message in a reply
07-07-2015, 11:47 AM (This post was last modified: 07-07-2015 11:54 AM by pxoto.)
Post: #3
RE: rpcs3 cmake error
sorry, it did not work

git submodule update --init
fatal: Not a git repository (or any of the parent directories): .git

and

cmake CMakeLists.txt
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3-master/rpcs3
CMake Error at CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!

I have also tried:
git init
git submodule update
now it does not give me the error
and then

cmake CMakeLists.txt
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3-master/rpcs3
CMake Error at CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
Find all posts by this user
Quote this message in a reply
07-07-2015, 01:36 PM (This post was last modified: 07-07-2015 02:01 PM by pxoto.)
Post: #4
RE: rpcs3 cmake error
I have tried compiling and running
git submodule update --init
in another operating system and it gives me the same error
both the git command and the cmake command
Where do I download the .cmake files that are missing ?

I can not believe that nobody else had these compile errors, there is no solution on the internet.

git submodule update --init
fatal: Not a git repository (or any of the parent directories): .git
Find all posts by this user
Quote this message in a reply
07-07-2015, 04:20 PM
Post: #5
RE: rpcs3 cmake error
(07-07-2015 01:36 PM)pxoto Wrote:  I have tried compiling and running
git submodule update --init
in another operating system and it gives me the same error
both the git command and the cmake command
Where do I download the .cmake files that are missing ?

I can not believe that nobody else had these compile errors, there is no solution on the internet.

git submodule update --init
fatal: Not a git repository (or any of the parent directories): .git

Did you even clone the repository using Git? Because it sure as hell looks like you didn't. Or you're not running "git submodule update --init" in the root directory of the cloned Git repository.
Find all posts by this user
Quote this message in a reply
07-07-2015, 07:03 PM
Post: #6
RE: rpcs3 cmake error
I had a false positive, I still have the same error
I ran
git clone https://github.com/RPCS3/rpcs3.git
cd rpcs3
git submodule update --init
It updated this time, downloaded several files
then
cmake CMakeLists.txt
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- No build type selected, default to Release

== ====================================================
== [AsmJit Include|Static]
== ====================================================

-- Initializing ASMJIT_DIR=/root/Downloads/rpcs3/asmjit
-- Using GCC
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3/rpcs3
-- Found wxWidgets: TRUE
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.7")
-- Found OpenAL: /usr/lib/x86_64-linux-gnu/libopenal.so
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
See also "/root/Downloads/rpcs3/CMakeFiles/CMakeOutput.log".

different message but still the same error, where the hell do I find these files ?
LLVMConfig.cmake
llvm-config.cmake
where are these files stored ?
Find all posts by this user
Quote this message in a reply
07-07-2015, 07:34 PM
Post: #7
RE: rpcs3 cmake error
(07-07-2015 07:03 PM)pxoto Wrote:  I had a false positive, I still have the same error
I ran
git clone https://github.com/RPCS3/rpcs3.git
cd rpcs3
git submodule update --init
It updated this time, downloaded several files
then
cmake CMakeLists.txt
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- No build type selected, default to Release

== ====================================================
== [AsmJit Include|Static]
== ====================================================

-- Initializing ASMJIT_DIR=/root/Downloads/rpcs3/asmjit
-- Using GCC
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3/rpcs3
-- Found wxWidgets: TRUE
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.7")
-- Found OpenAL: /usr/lib/x86_64-linux-gnu/libopenal.so
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
See also "/root/Downloads/rpcs3/CMakeFiles/CMakeOutput.log".

different message but still the same error, where the hell do I find these files ?
LLVMConfig.cmake
llvm-config.cmake
where are these files stored ?

LLVM-Config.cmake seems to be located in \rpcs3\llvm\cmake\modules.
Find all posts by this user
Quote this message in a reply
07-07-2015, 07:39 PM (This post was last modified: 07-07-2015 07:48 PM by pxoto.)
Post: #8
RE: rpcs3 cmake error
(07-07-2015 07:34 PM)tambre Wrote:  
(07-07-2015 07:03 PM)pxoto Wrote:  I had a false positive, I still have the same error
I ran
git clone https://github.com/RPCS3/rpcs3.git
cd rpcs3
git submodule update --init
It updated this time, downloaded several files
then
cmake CMakeLists.txt
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- No build type selected, default to Release

== ====================================================
== [AsmJit Include|Static]
== ====================================================

-- Initializing ASMJIT_DIR=/root/Downloads/rpcs3/asmjit
-- Using GCC
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3/rpcs3
-- Found wxWidgets: TRUE
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.7")
-- Found OpenAL: /usr/lib/x86_64-linux-gnu/libopenal.so
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
See also "/root/Downloads/rpcs3/CMakeFiles/CMakeOutput.log".

different message but still the same error, where the hell do I find these files ?
LLVMConfig.cmake
llvm-config.cmake
where are these files stored ?

LLVM-Config.cmake seems to be located in \rpcs3\llvm\cmake\modules.

There are no files in llvm, there is no cmake folder and there is no modules folder.
why are those files missing ?

am I supposed to get all missing files by running
git submodule update --init
?
because the llvm folder is empty, I will try to download from https://github.com/llvm-mirror/ and put the files there manually.
Find all posts by this user
Quote this message in a reply
07-07-2015, 08:11 PM
Post: #9
RE: rpcs3 cmake error
(07-07-2015 07:39 PM)pxoto Wrote:  
(07-07-2015 07:34 PM)tambre Wrote:  
(07-07-2015 07:03 PM)pxoto Wrote:  I had a false positive, I still have the same error
I ran
git clone https://github.com/RPCS3/rpcs3.git
cd rpcs3
git submodule update --init
It updated this time, downloaded several files
then
cmake CMakeLists.txt
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- No build type selected, default to Release

== ====================================================
== [AsmJit Include|Static]
== ====================================================

-- Initializing ASMJIT_DIR=/root/Downloads/rpcs3/asmjit
-- Using GCC
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3/rpcs3
-- Found wxWidgets: TRUE
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.7")
-- Found OpenAL: /usr/lib/x86_64-linux-gnu/libopenal.so
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
See also "/root/Downloads/rpcs3/CMakeFiles/CMakeOutput.log".

different message but still the same error, where the hell do I find these files ?
LLVMConfig.cmake
llvm-config.cmake
where are these files stored ?

LLVM-Config.cmake seems to be located in \rpcs3\llvm\cmake\modules.

There are no files in llvm, there is no cmake folder and there is no modules folder.
why are those files missing ?

am I supposed to get all missing files by running
git submodule update --init
?
because the llvm folder is empty, I will try to download from https://github.com/llvm-mirror/ and put the files there manually.

What version of Git are you using and on what operating system?
Find all posts by this user
Quote this message in a reply
07-07-2015, 08:31 PM (This post was last modified: 07-07-2015 08:35 PM by pxoto.)
Post: #10
RE: rpcs3 cmake error
(07-07-2015 08:11 PM)tambre Wrote:  
(07-07-2015 07:39 PM)pxoto Wrote:  
(07-07-2015 07:34 PM)tambre Wrote:  
(07-07-2015 07:03 PM)pxoto Wrote:  I had a false positive, I still have the same error
I ran
git clone https://github.com/RPCS3/rpcs3.git
cd rpcs3
git submodule update --init
It updated this time, downloaded several files
then
cmake CMakeLists.txt
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- No build type selected, default to Release

== ====================================================
== [AsmJit Include|Static]
== ====================================================

-- Initializing ASMJIT_DIR=/root/Downloads/rpcs3/asmjit
-- Using GCC
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/root/Downloads/rpcs3/rpcs3
-- Found wxWidgets: TRUE
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.7")
-- Found OpenAL: /usr/lib/x86_64-linux-gnu/libopenal.so
CMake Error at rpcs3/CMakeLists.txt:76 (find_package):
Could not find a package configuration file provided by "LLVM" with any of
the following names:

LLVMConfig.cmake
llvm-config.cmake

Add the installation prefix of "LLVM" to CMAKE_PREFIX_PATH or set
"LLVM_DIR" to a directory containing one of the above files. If "LLVM"
provides a separate development package or SDK, be sure it has been
installed.


-- Configuring incomplete, errors occurred!
See also "/root/Downloads/rpcs3/CMakeFiles/CMakeOutput.log".

different message but still the same error, where the hell do I find these files ?
LLVMConfig.cmake
llvm-config.cmake
where are these files stored ?

LLVM-Config.cmake seems to be located in \rpcs3\llvm\cmake\modules.

There are no files in llvm, there is no cmake folder and there is no modules folder.
why are those files missing ?

am I supposed to get all missing files by running
git submodule update --init
?
because the llvm folder is empty, I will try to download from https://github.com/llvm-mirror/ and put the files there manually.

What version of Git are you using and on what operating system?

git 2.8 and Fedora linux

llvm folder has the required files but now GLEW is missing
cmake CMakeLists.txt
-- No build type selected, default to Release

== ====================================================
== [AsmJit Include|Static]
== ====================================================

-- Initializing ASMJIT_DIR=/var/run/media/Anoffymous/JanelasHD/Downloads/rpcs3/asmjit
-- Using GCC
-- cotire 1.6.1 loaded.
-- Initializing RPCS3_SRC_DIR=/var/run/media/Anoffymous/JanelasHD/Downloads/rpcs3
CMake Error at rpcs3/CMakeLists.txt:72 (find_package):
By not providing "FindGL.cmake" in CMAKE_MODULE_PATH this project has asked
CMake to find a package configuration file provided by "GL", but CMake did
not find one.

Could not find a package configuration file provided by "GL" with any of
the following names:

GLConfig.cmake
gl-config.cmake

Add the installation prefix of "GL" to CMAKE_PREFIX_PATH or set "GL_DIR" to
a directory containing one of the above files. If "GL" provides a separate
development package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)